Subject: Re: [PATCH] Checking for "diff.color." should come before "diff.color"

From: Andy Parkins <[email-masked]>
Date: Mon, 23 Oct 2006 22:03:40 +0100

On Monday 2006, October 23 21:29, Junio C Hamano wrote:
> Andy Parkins <[email-masked]> writes:
> > In git_diff_ui_config() the strncmp() for "diff.color" would have matched
> > for "diff.color.", so "diff.color." configs would never be processed.
>
> A test case that demonstrates the breakage without the patch
> would be nice. Could you come up with a two-patch series that
> is:

No need.  Jeff King already caught the fact that my patch is unnecessary.  I 
withdraw it.

Sorry to keep bothering you all with these non-entity patches.  I really am 
only trying to help :-)

Andy

-- 
Dr Andrew Parkins, M Eng (Hons), AMIEE
[email-masked]